Subject: Re: [PATCH v2 1/1] t/lib-rebase: improve documentation of set_fake_editor()

From: Junio C Hamano <[email-masked]>
Date: Thu, 10 Aug 2023 08:49:32 -0700

Phillip Wood <[email-masked]> writes:

> Hi Oswald
>
> On 09/08/2023 18:15, Oswald Buddenhagen wrote:
>> Firstly, make it reflect better what actually happens. Not omitting some
>> possibilities makes it easier to fully exploit them, and not
>> contradicting the implementation makes it easier to grok and thus modify
>> the code.
>
> Thanks for expanding this first point, the new message looks fine to
> me. The code changes look good apart from one change in the that got
> missed.
>
>> -#   "<lineno>" -- add a "pick" line with the SHA1 taken from the
>> -#       specified line.
>> +#   "<cmd>" -- override the command for the next line specification. Can be
>> +#       "pick", "squash", "fixup[_-(c|C)]", "edit", "reword", "drop",
>> +#       "merge[_-{c|C}_<rev>]", or "bad" for an invalid command.
>
> This is still using "{}" in the merge documentation rather than "()"
> like the new fixup docs.
>
> Thanks

Ah, thanks for sharp eyes.  I can locally tweak these two bytes ;-)